# $Revision: 1.13 $, $Date: 2012/01/13 13:16:42 $
#
# Conditional build:
%bcond_with	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Mail
%define	pnam	DKIM
Summary:	Mail::DKIM - Signs/verifies Internet mail with DKIM/DomainKey signatures
Summary(pl.UTF-8):	Mail::DKIM - podpisywanie/sprawdzanie poczty przy użyciu podpisów DKIM/DomainKey
Name:		perl-Mail-DKIM
Version:	0.39
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Mail/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0b62c91f855f47e818d96680746572ca
URL:		http://search.cpan.org/dist/Mail-DKIM/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Crypt-OpenSSL-RSA >= 0.22
BuildRequires:	perl-Digest-SHA
BuildRequires:	perl-Digest-SHA1
BuildRequires:	perl-Error
BuildRequires:	perl-MailTools
BuildRequires:	perl-Net-DNS
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This Perl module is part of the dkimproxy program, located at
<http://jason.long.name/dkimproxy/>. I've tried to abstract out the
DKIM parts into this module, for use in other programs.

The Mail::DKIM module uses an object-oriented interface. You use one
of two different classes, depending on whether you are signing or
verifying a message. To sign, use the Mail::DKIM::Signer class. To
verify, use the Mail::DKIM::Verifier class. Simple, eh?

%description -l pl.UTF-8
Ten moduł Perla jest częścią programu dkimproxy, który można znaleźć
pod <http://jason.long.name/dkimproxy/>. Jest próbą wyodrębnienia
części DKIM do modułu w celu umożliwienia użycia przez inne programy.

Moduł Mail::DKIM wykorzystuje interfejs zorientowany obiektowo. Używa
się jednej z dwóch różnych klas w zależności od działania -
podpisywania lub sprawdzania podpisu wiadomości. Aby podpisać, należy
użyć klasy Mail::DKIM::Signer. Aby sprawdzić podpis, należy użyć klasy
Mail::DKIM::Verifier. Proste, prawda?

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog Changes README TODO
%{perl_vendorlib}/Mail/*.pm
%{perl_vendorlib}/Mail/DKIM
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Mail-DKIM.spec,v $
Revision 1.13  2012/01/13 13:16:42  zbyniu
- up to 0.39

Revision 1.12  2010/08/18 12:11:45  baggins
- restore source0 url

Revision 1.11  2010/08/18 12:11:13  baggins
- fetch source

Revision 1.10  2010/08/18 12:06:22  baggins
- 0.38

Revision 1.9  2009/09/17 08:51:24  amateja
- tests switched off by default because they keep trying to access /etc/resolv.conf

Revision 1.8  2009/09/17 07:40:44  amateja
- updated to 0.37

Revision 1.7  2009/02/05 14:11:44  agaran
- up to 0.32

Revision 1.6  2008/05/07 15:13:24  glen
- update to 0.31 by Eero Hänninen

Revision 1.5  2007-12-19 21:15:50  zbyniu
- up to 0.29

Revision 1.4  2007-05-22 21:20:54  glen
- rel 2

Revision 1.3  2007/05/09 20:50:15  qboosh
- pl

Revision 1.2  2007/05/03 15:49:59  adamg
- t/verifier.t segfaults on perl-Crypt-OpenSSL-RSA-0.21

Revision 1.1  2007/05/03 11:28:43  adamg
- new
